Skip to main content
DELETE
/
organizations
/
roles
/
{role_id}
Delete Role
curl --request DELETE \
  --url https://api-sandbox.y.uno/v1/organizations/roles/{role_id} \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>'
import requests

url = "https://api-sandbox.y.uno/v1/organizations/roles/{role_id}"

headers = {
    "PUBLIC-API-KEY": "<api-key>",
    "PRIVATE-SECRET-KEY": "<api-key>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {'PUBLIC-API-KEY': '<api-key>', 'PRIVATE-SECRET-KEY': '<api-key>'}
};

fetch('https://api-sandbox.y.uno/v1/organizations/roles/{role_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


Delete a custom role. Users assigned to the deleted role will be automatically reassigned to the ReadOnly role.

Authorizations

PUBLIC-API-KEY
string
header
default:<Your PUBLIC-API-KEY>
required
PRIVATE-SECRET-KEY
string
header
default:<Your PRIVATE-SECRET-KEY>
required

Path Parameters

role_id
string
required

The unique identifier of the role to delete.

Response

204

No Content - Successfully deleted